%define section free
%define base_name ant-contrib

Summary:        Collection of tasks for Ant
Name:           %{base_name}
Version:        0.6
Release:        4jpp
Epoch:          0
License:        Apache Software License
URL:            http://ant-contrib.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        ant-contrib-0.6-src.tar.gz
Patch0:         ant-contrib-build_xml.patch
Patch1:         ant-contrib-CompileWithWalls.patch
Patch2:         ant-contrib-antservertest.patch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  junit = 0:3.8.1
BuildRequires:  ant = 0:1.6.2
BuildRequires:  ant-junit = 0:1.6.2
BuildRequires:  ant-nodeps = 0:1.6.2
BuildRequires:	xerces-j2
Requires:  junit = 0:3.8.1
Requires:  ant = 0:1.6.2
Requires:  xerces-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Ant-Contrib project is a collection of tasks 
(and at one point maybe types and other tools) 
for Apache Ant.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%prep
%setup -q -c -n %{base_name}-%{version}
find . -name "*.jar" -exec rm {} \;
cp build.xml build.xml.sav
rm -rf test/src/net/sf/antcontrib/antclipse
ls ../../SOURCES/apache-ant-1.6.2-src.tar.gz
if [ ! -f ../../SOURCES/apache-ant-1.6.2-src.tar.gz ]; then
   echo ant-1.6.2-1jpp.src.rpm must be installed 
   exit
fi
cp src/net/sf/antcontrib/walls/CompileWithWalls.java src/net/sf/antcontrib/walls/CompileWithWalls.java.sav

%patch0
%patch1
%patch2

%build
mkdir -p test/lib
(cd test/lib
ln -s $(find-jar junit-3.8.1) junit-3.8.1.jar
)
export OPT_JAR_LIST="ant/ant-junit junit ant/ant-nodeps"
export CLASSPATH=
CLASSPATH=$CLASSPATH:build/lib/ant-contrib-0.6.jar
ant -Dversion=0.6 test all

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -Dpm 644 build/lib/%{base_name}-%{version}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf build/docs/api

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr build/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.6-4jpp
- Upgrade to ant-1.6.2
- BuildReq/Req ant = 0:1.6.2
- Relax some other requirements

* Thu Jun 03 2004 Paul Nasrat <pauln@truemesh.com> - 0:0.6-3jpp
- Fix missing buildrequires

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.6-2jpp
- Upgrade to Ant 1.6.X

* Wed Mar 24 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.6-1jpp
- First JPackage release
